
library IEEE;
use IEEE.std_logic_1164.all;

use WORK.dlx_types.all;

entity forward_logic is
  generic(tpd_latch : Time;
          tpd_comp  : Time;
          tpd_mux   : Time);
  port (phi2         : in std_logic;
        rd_valid     : in std_logic;
        -- issued       : in std_logic; -- instr issued ?
        rd_shift : in std_logic;
        rs1, rs2, rd : in std_logic_vector(0 to 4);
        --
        mux1_out, mux2_out : out std_logic_vector(0 to 1);
        branch_reg_mux : out std_logic_vector(0 to 1);
        forward_from_memory : out std_logic;
        --
        load_instr : in std_logic);
end forward_logic;

