--------------------------------------------------------------------------
--  DLX PROCESSOR MODEL SUITE
--  Copyright (C) 1996, Markus Buehler
--  University of Stuttgart / Department of Computer Science / IPVR-ISE
--------------------------------------------------------------------------
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 1, or (at your option)
--  any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--------------------------------------------------------------------------
--  Last revision date : February 15, 1996
--------------------------------------------------------------------------

--------------------------------------------------------------------------
--  *** SYNOPSYS synthesizable code (ver. 3.2.a) ***
--------------------------------------------------------------------------

--------------------------------------------------------------------------
--  Configuration for the CLA-Word-adder
--
--  (file word_adder_cla_cfg.vhd)
--------------------------------------------------------------------------

configuration word_adder_cla_cfg of word_adder is

    for cla_h

	for all : cla_a
	  use entity WORK.cla_a(dataflow);
	end for; -- cla_a

	for all : cla_b
	  use entity WORK.cla_b(dataflow);
	end for; -- cla_b

	for b_end : cla_b_end
	  use entity WORK.cla_b_end(dataflow);
	end for; -- cla_b_end

      end for; -- cla_h

end word_adder_cla_cfg;
